Skip to content

TransactionsService⁠

Perform transactions.

Operations⁠

reverseGLToGLPost⁠

POST

Reverses a GL to GL funds transfer.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DonorAccountNumberstringoptionalThe donor account number.
DonorGLCodestringoptionalThe donor GL code.
RecipientAccountNumberstringoptionalThe recipient account number.
RecipientGLCodestringoptionalThe recipient GL code.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
CheckReferencestringoptionalThe check reference for the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
CalculateCheckbooleanoptionalWhether to calculate a check.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reverseGLToGLPost
POST /nexum/627/2022.01/transactions/reverseGLToGLPost HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DonorAccountNumber": "string",
  "DonorGLCode": "string",
  "RecipientAccountNumber": "string",
  "RecipientGLCode": "string",
  "Amounts": {
    "TotalAmount": 0,
    "CheckAmount": 0,
    "CashAmount": 0
  },
  "CheckIssuer": "string",
  "Comment": "string",
  "Payee": {
    "PayeeLine": [
      {
        "LineValue": "string"
      }
    ]
  },
  "SourceCode": "string",
  "EffectiveDate": "string",
  "CommentCode": 0,
  "CheckReference": "string",
  "RecurrenceRequested": true,
  "CalculateCheck": true,
  "PartialReversalRequested": true,
  "OriginalTotalAmount": 0,
  "OriginalConfirmation": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getDonorRecipientAccounts⁠

POST

Retrieves donor and recipient accounts for transactions.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
TransferToAnyAccountbooleanoptionalWhether to transfer to any account.
POST/nexum/{sym}/2022.01/transactions/getDonorRecipientAccounts
POST /nexum/627/2022.01/transactions/getDonorRecipientAccounts HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}